Deals
DE EUR

Shop in

Store prices are shown for one country at a time, in its own currency.

Compare specs

Ad · Prices from partner stores, sorted cheapest first. We may earn a commission when you buy through our links; it never changes the order.Ad · Store prices, cheapest first. We may earn a commission.

Zyxel GS1900-24E-EU0103F network switch Managed L2 Gigabit Ethernet (10/100/1000) 1U Black

Zyxel · Network Switch

Zyxel GS1900-24E-EU0103F network switch Managed L2 Gigabit Ethernet (10/100/1000) 1U Black price in Germany

Model GS1900-24E-EU0103FMPN GS1900-24E-EU0103FEAN 4718937621132

  • Type1U
  • Weight1.56 kg
  • ColourBlack
  • Switch typeManaged

Lowest price

127,82 €

at Netzwerkartikel.deIn stock

  • 1 store
  • 1 in stock
  • Checked 6 Oct 2026, 05:40 UTC

Ad · prices and stock as last reported by the store; the store's checkout is what counts.

Full specifications and side-by-side comparison

Prices in Germany

1 store · prices in EUR · updated 6 Oct 2026, 05:40 UTC

Lowest price127,82 €at Netzwerkartikel.de · shipping not statedGo to Netzwerkartikel.de (opens in a new tab)
Price range across 1 offer

Every store asks the same price.

  • 1 of 1 stores in stock
  • 0 with free shipping
  • Checked 6 Oct 2026, 05:40 UTC

  1. Netzwerkartikel.deLowest priceZyxel Switch 24x GE GS1900-24E V3 In stockShipping not stated
    127,82 €item price, shipping extra
    Go to store : Netzwerkartikel.de (opens in a new tab)

Ad: we may earn a commission when you buy through these links; it never changes the order, which is by total price only. Prices and stock are shown as each store states them, as of 6 Oct 2026, 05:40 UTC, and can change at any time. Taxes are included only where the store includes them.

Price history in Germany

Price history is being collected. After 14 days of prices we will show whether today's price is good.

Best price · Netzwerkartikel.de127,82 €
Go to store

Product details

Identification

Brand
Zyxel
Product
GS1900-24E-EU0103F network switch Managed L2 Gigabit Ethernet (10/100/1000) 1U Black
Full name
Zyxel GS1900-24E-EU0103F network switch Managed L2 Gigabit Ethernet (10/100/1000) 1U Black
Manufacturer part number
GS1900-24E-EU0103F
EAN / UPC
4718937621132

69 specifications from the manufacturer's data sheet

Management features

Switch typeManaged
Switch layerL2
Quality of Service (QoS) supportYes
Web-based managementYes
System event logYes
MIB supportRFC 1213 MIB II, RFC 2819 RMON (group 1, 2, 3, 9),RFC 1215 generic traps, RFC 1493 bridge, Zyxel private common MIB

Ports & interfaces

Basic switching RJ-45 Ethernet ports quantity24
Basic switching RJ-45 Ethernet ports typeGigabit Ethernet (10/100/1000)
Installed SFP modules quantity0
Installed SFP+ modules quantity0
Power connectorAC-in jack

Network

Networking standardsIEEE 802.1D, IEEE 802.1p, IEEE 802.1s, IEEE 802.1w, IEEE 802.3, IEEE 802.3ab, IEEE 802.3af, IEEE 802.3at, IEEE 802.3az, IEEE 802.3u, IEEE 802.3x
10G supportNo
Port mirroringYes
Full duplexYes
Ethernet LAN data rates10,100,1000 Mbit/s
Flow control supportYes
Link aggregationYes
MAC address auto-learning supportedYes
Spanning tree protocolYes
VLAN supportYes
Virtual LAN featuresStacked VLAN, VLAN mapping

Data transmission

MAC address table8000 entries
Switching capacity48 Gbit/s
Forwarding rate35.7 Mpps
Store-and-forwardYes
Jumbo frames supportYes
Jumbo frames9000
Packet buffer memory0.525 MB

Security

DHCP featuresDHCP client
IGMP snoopingYes
Authentication typeRADIUS, TACACS+
MAC address filteringYes
Password protectionYes
SSH/SSL supportYes
Security algorithms802.1x RADIUS
Static port securityYes

Design

Rack mountingYes
StackableYes
Form factor1U
Product colourBlack
Reset buttonYes
LED indicatorsYes
Wall mountableYes

Performance

Mean time between failures (MTBF)804.714 h

Power

Power sourceAC
Power supply includedYes
AC input voltage100 - 240 V
AC input frequency50 - 60 Hz
Power consumption (max)15.1 W

Power over Ethernet (PoE)

Power over Ethernet (PoE)No

Operational conditions

Operating temperature (T-T)0 - 50 °C
Storage temperature (T-T)-40 - 70 °C
Operating relative humidity (H-H)10 - 95%
Storage relative humidity (H-H)10 - 95%
Heat dissipation51.49 BTU/h

Weight & dimensions

Width267 mm
Depth162 mm
Height42 mm
Weight1.56 kg

Packaging content

Cables includedAC
Rack mount kitYes

Packaging data

Package typeBox
Package width325 mm
Package depth223 mm
Package height71 mm
Package weight2.05 kg

Certificates

CertificationEMC ■ CE, FCC, C-Tick, Class A (GS1900-24/24EP/24HPv2/48/ 48HPv2) ■ CE, FCC, C-Tick, Class B (GS1900-8/8HP/10HP/16/24E) ■ BSMI CNS13438 • Safety ■ LVD EN60950-1 ■ BSMI CNS14336-1 ■ CB IEC60950-1 (GS1900-8HP/10HP/16/24E/24) • RoHS compliant

Logistics data

Harmonized System (HS) code85176990

More network switches deals in Germany

All network switches deals